Permalink
Browse files

MDL-34907: Add a missing string that triggers Javascript error in ass…

…ignment upgrade tool
  • Loading branch information...
1 parent d71c486 commit 77b3e35105ac24139353c25ebda50595b7a7e35f Raymond Wijaya committed Aug 20, 2012
@@ -36,6 +36,7 @@
$string['conversionfailed'] = 'The assignment conversion was not successful. The log from the upgrade was: <br />{$a}';
$string['listnotupgraded'] = 'List assignments that have not been upgraded';
$string['listnotupgraded_desc'] = 'You can upgrade individual assignments from here';
+$string['noassignmentsselected'] = 'No assignments selected';
$string['noassignmentstoupgrade'] = 'There are no assignments that require upgrading';
$string['notsupported'] = '';
$string['notupgradedintro'] = 'This page lists the assignments created with an older version of Moodle that have not been upgraded to the new assignment module in Moodle 2.3. Not all assignments can be upgraded - if they were created with a custom assignment subtype, then that subtype will need to be upgraded to the new assignment plugin format in order to complete the upgrade.';
@@ -56,7 +56,7 @@ M.tool_assignmentupgrade = {
assignmentsinput = Y.one('input.selectedassignments');
assignmentsinput.set('value', selectedassignments.join(','));
if (selectedassignments.length == 0) {
- alert(M.str.assign.noassignmentsselected);
+ alert(M.str.tool_assignmentupgrade.noassignmentsselected);
e.preventDefault();
}
});
@@ -119,7 +119,7 @@ public function assignment_list_page(tool_assignmentupgrade_assignments_table $a
$output = '';
$output .= $this->header();
$this->page->requires->js_init_call('M.tool_assignmentupgrade.init_upgrade_table', array());
-
+ $this->page->requires->string_for_js('noassignmentsselected', 'tool_assignmentupgrade');
$output .= $this->heading(get_string('notupgradedtitle', 'tool_assignmentupgrade'));
$output .= $this->box(get_string('notupgradedintro', 'tool_assignmentupgrade'));

0 comments on commit 77b3e35

Please sign in to comment.